#include <bits/stdc++.h>
using namespace std;
int main()
{
int n;
cin>>n;
int x[100000],y[100000];
for(int i=0;i<n;i++)
{
cin>>x[i]>>y[i];
}
if(n==2)
{
if(x[0]!=x[1]&&y[0]!=y[1])
cout<<0<<endl;
else if(x[0]==x[1]||y[0]==y[1])
cout<<1<<endl;
}
else
cout<<0<<endl;
return 0;
}